Name: qmpdclient
Version: 1.1.1
Release: alt4

Summary: Qt4-based mpd client
License: %gpl2plus
Group: Sound
Url: http://bitcheese.net/wiki/QMPDClient

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

# git://github.com/Voker57/qmpdclient-ne.git
Source0: %name-%version.tar

BuildRequires(pre): rpm-build-licenses libqt4-devel >= 4.4.0
BuildPreReq: gcc4.3-c++ unzip

Requires: libqt4-core >= 4.4.0
#Suggests: notification-daemon

%set_gcc_version 4.3

%description
QMPDClient is an easy to use MPD client written in Qt 4.

%prep
%setup
sed -i 's,/home/h/Projects/qmpdclient/qmpdclient/icons/qmpdclient22.png,%_iconsdir/hicolor/22x22/apps/%name.png,' \
	src/notifications_dbus.cpp

%build
export PATH=$PATH:%_qt4dir/bin
sed -i 's,/local,,' qmpdclient.pro
qmake %{!?_enable_debug:-after "CONFIG -= debug"}
sed -i 's,-pipe ,%optflags -fno-strict-aliasing ,g' Makefile
%make_build
%make_build translate

%install
export PATH=$PATH:%_qt4dir/bin
%makeinstall INSTALL_ROOT=%buildroot
for i in 16 22 48 64; do
    install -pD -m644 icons/qmpdclient$i.png %buildroot%_iconsdir/hicolor/${i}x$i/apps/%name.png
done
install -pD -m644 icons/svg/qmpdclient.svg %buildroot%_iconsdir/hicolor/scalable/apps/%name.svg

mkdir -p %buildroot%_datadir/QMPDClient/{iconsets,styles,translations}/
install -pD -m644 lang/*.qm %buildroot%_datadir/QMPDClient/translations/
tar xf Rodent.tar.gz -C %buildroot%_datadir/QMPDClient/iconsets/
unzip -q qmpdclient_silk_iconsets.zip -d %buildroot%_datadir/QMPDClient/iconsets/
rm -f %buildroot%_datadir/QMPDClient/iconsets/Readme.txt
rm -f %buildroot%_datadir/QMPDClient/iconsets/*/[Tt]humbs.db
install -pD -m644 Rain.css %buildroot%_datadir/QMPDClient/styles/

%files
%_bindir/*
%_datadir/QMPDClient/
%_desktopdir/%name.desktop
%_iconsdir/hicolor/*/apps/%name.*
%_iconsdir/%{name}64.png
%doc AUTHORS Changelog INSTALL README THANKSTO

%changelog
* Wed Sep 30 2009 Andrey Rahmatullin <wrar@altlinux.ru> 1.1.1-alt4
- 1.1.1-5-g589ba0a
- replace libqt4 requirement with libqt4-core one

* Sun Aug 23 2009 Andrey Rahmatullin <wrar@altlinux.ru> 1.1.1-alt3
- build with gcc 4.3

* Tue Aug 11 2009 Andrey Rahmatullin <wrar@altlinux.ru> 1.1.1-alt2
- 1.1.1-4-g5d08dfc

* Sun Aug 02 2009 Andrey Rahmatullin <wrar@altlinux.ru> 1.1.1-alt1
- 1.1.1-1-g7c38e25

* Thu Feb 26 2009 Andrey Rahmatullin <wrar@altlinux.ru> 1.1.0-alt1
- qmpdclient-ne 1.1.0

* Wed Feb 04 2009 Andrey Rahmatullin <wrar@altlinux.ru> 1.1.0-alt0.1
- qmpdclient-ne 1f991a22 (1.1.0-pre)
- remove obsolete files

* Sat Dec 20 2008 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.9-alt2
- update to git://github.com/Voker57/qmpdclient-ne.git 8cff43cd

* Thu May 01 2008 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.9-alt1
- 1.0.9

* Fri Jan 04 2008 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.8-alt2
- add Russian translation
- fix icon path for dbus notifier
- add styles and iconsets from official site

* Sun Jul 01 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.8-alt1
- 1.0.8

* Thu Dec 21 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.7-alt1
- 1.0.7

* Tue Dec 19 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.6.2-alt2
- use optflags (drool@)
- install and package bundled icons

* Sat Oct 21 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.6.2-alt1
- 1.0.6.2

* Fri Oct 13 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.6.1-alt1
- 1.0.6.1

* Sat Sep 30 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.5-alt1
- initial build
